
// mPosDemoDlg.h : 헤더 파일
//

#pragma once
#include "MPosConst.h"
#include "MPosControllerPrinter.h"
#include "MPosControllerScanner.h"
#include "MPosControllerBCD.h"


// CmPosDemoDlg 대화 상자
class CmPosDemoDlg : public CDialog
{
// 생성입니다.
public:
	CmPosDemoDlg(CWnd* pParent = NULL);	// 표준 생성자입니다.

// 대화 상자 데이터입니다.
	enum { IDD = IDD_MPOSDEMO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원입니다.

	void printReceipt();
	void displayBCD();
	CString getPrinterStatusString(int status);
// 구현입니다.
protected:
	HICON m_hIcon;

	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	
	CMPosControllerBCD m_BCD;
	CMPosControllerPrinter m_Printer;
	CMPosControllerScanner m_Scanner;

	static void __stdcall DataEvent(LPCTSTR data);
	static void __stdcall StatusUpdateEvent(int nStatus);
	CString m_strData;	

	int m_nInterface;
	CString m_strPort;
	void DisconnectmPos();
	long ConnectmPos();

	afx_msg void OnBnClickedRadio3();
	afx_msg void OnBnClickedRadio4();
	afx_msg void OnBnClickedRadio5();
	afx_msg void OnBnClickedButton1();
};
